import request from '@/utils/request'

// 分页查询现金日记账列表
export function pageListCash(query) {
  return request({
    url: '/finance/cash/pageList',
    method: 'get',
    params: query
  })
}

// 查询现金日记账列表
export function listCash(query) {
  return request({
    url: '/finance/cash/list',
    method: 'get',
    params: query
  })
}

// 查询现金日记账详细
export function getCash(ID) {
  return request({
    url: '/finance/cash/' + ID,
    method: 'get'
  })
}

// 新增现金日记账
export function addCash(data) {
  return request({
    url: '/finance/cash',
    method: 'post',
    data: data
  })
}

// 修改现金日记账
export function updateCash(data) {
  return request({
    url: '/finance/cash',
    method: 'put',
    data: data
  })
}

// 删除现金日记账
export function delCash(ID) {
  return request({
    url: '/finance/cash/' + ID,
    method: 'delete'
  })
}

// 导出现金日记账
export function exportCash(query) {
  return request({
    url: '/finance/cash/' + 'export',
    method: 'post',
    params: query
  })
}
